---
title: HS(D)P
description: Describing the architecture of Handlers, Services, (Domains), and Presentation
date: 2024-08-11
tags:
  - development
  - javascript
  - typescript
  - hono
slug: hsdp
draft: true
---

## Handlers, Services, (Domains?), Presentation

In [my last blog post](https://davesmithhayes.com/posts/fullstack-hono) I talked about how I have stopped thinking of my Node.js applications as Model-View-Controller and started thinking of the applications in a new, fun acronym: Handlers, Services, (_sometimes Domains_), and Prfesentation. I thought this would be a good topic for a new blog post. So here it is.

I am going to be talking about this pattern in relationship to JavaScript and why the language lends itself to the pattern when working on applications.

## The Application

Like the previous post, I talked about building this blog with Bun and Hono. I am going to do the same here, however the application we are going to build is the all time classic - The TODO Application.
